//함수형 컴포넌트에서 state를 사용하려면 useState사용. Hook
import React, {useState} from 'react';

const Say=()=>{
    //useState를 사용해서 state와 setter설정
    const [username, setUsername]=useState('');
    const [message, setMessage]=useState('');

    //userName을 변경하는 함수
    const onChangeUsername = e => setUsername(e.target.value);
    //meesage를 변경하는 함수
    const onChangeMessage = e => setMessage(e.target.value);
    //state를 초기화하는 함수
    const onClick = () => {
        alert(username + ':' + message);
        setUsername('');
        setMessage('');
      };
    const onKeyPress = e => {
        if (e.key === 'Enter') {
          onClick();
        }
    };  

    return(
        <div>
      <h1>이벤트 연습</h1>
      <input
        type="text"
        name="username"
        placeholder="사용자명"
        value={username}
        onChange={onChangeUsername}
      />
      <input
        type="text"
        name="message"
        placeholder="아무거나 입력해 보세요"
        value={message}
        onChange={onChangeMessage}
        onKeyPress={onKeyPress}
      />
      <button onClick={onClick}>확인</button>
    </div>
    );
};

export default Say;